GlobalTopology Class Reference

Global Topology. More...

`#include <ql/experimental/math/particleswarmoptimization.hpp>`

Inheritance diagram for GlobalTopology:
[legend]

## Public Member Functions

void | setSize (Size M)
| initialize state for current problem
void | findSocialBest ()
| produce changes to PSO state for current iteration

## Additional Inherited Members

Protected Attributes inherited from ParticleSwarmOptimization::Topology
ParticleSwarmOptimization * | pso_
std::vector< Array > * | X_
std::vector< Array > * | V_
std::vector< Array > * | pBX_
std::vector< Array > * | gBX_
Array * | pBF_
Array * | gBF_

## Detailed Description

Global Topology.